[pytest]
filterwarnings = ignore:.*inspect.getargspec\(\).*:DeprecationWarning
                 ignore:.*XTP-.*
                 ignore:.*XR-.*
                 ignore:.*XR-.*
                 ignore::DeprecationWarning
                 ignore::UserWarning
junit_family=xunit1

markers =
    startup: test device start-up
    AssignResources: test AssignResources command
    ReleaseResources: test ReleaseResources command
    Configure: test Configure command
    ConfigureScan: test ConfigureScan command
    Scan: test Scan command
    EndScan: test EndScan command
    EndSB: test EndSB command
    success: test successful runtime behaviour
    failure: test runtime behaviour expected to fail

[pycodestyle]
#ignore=E402
